# MedicationDispense read

`GET /MedicationDispense/{id}`

This resource records when a medication is dispensed to a patient, typically by a pharmacy. Each dispense entry contains the medication details, quantity, refills, pharmacy information, and dispense date.

 You can review or retrieve dispensed medication information with FHIR passthrough. 

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `MedicationDispense` resource with medication, quantity, and dispense details for a given patient.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | MedicationDispense identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/MedicationDispense/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The MedicationDispense

A profile on the MedicationDispense resource that conforms to Redox requirements. Represents the provision of a supply of a medication with the intention that it is subsequently consumed by a patient.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: MedicationDispense |
| `status` | string | Yes | A code specifying the state of the set of dispense events. Possible values: preparation, in-progress, cancelled, on-hold, completed, entered-in-error, stopped, declined, unknown |
| `medicationCodeableConcept` | object | Yes | Identifies the medication being administered. This is either a link to a resource representing the details of the medication or a simple attribute carrying a code that identifies the medication from a known list of medications. |
| `medicationCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `medicationCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `medicationCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `medicationCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `identifier` | Array of object | No | Identifiers associated with this Medication Dispense that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate. They are business identifiers assigned to this resource by the performer or other systems and remain constant as the resource is updated and propagates from server to server. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `subject` | object | No | A link to a resource representing the person or the group to whom the medication will be given. Must be a resource of type `Patient`. |
| `subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `context` | object | No | The encounter or episode of care that establishes the context for this event. Must be a resource of type `Encounter`. |
| `context.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `performer` | Array of object | No | Indicates who or what performed the event. |
| `performer[].actor` | object | Yes | The device, practitioner, etc. who performed the action.  It should be assumed that the actor is the dispenser of the medication. Must reference one of the following types of resources: - `Practitioner` - `Organization` |
| `performer[].actor.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `authorizingPrescription` | Array of object | No | Indicates the medication order that is being dispensed against. Must be a resource of type `MedicationRequest`. |
| `authorizingPrescription[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `type` | object | No | Indicates the type of dispensing event that is performed. For example, Trial Fill, Completion of Trial, Partial Fill, Emergency Fill, Samples, etc. |
| `type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `quantity` | object | No | The amount of medication that has been dispensed. Includes unit of measure. |
| `quantity.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `quantity.system` | string | No | The identification of the system that provides the coded form of the unit. |
| `quantity.code` | string | No | A computer processable form of the unit in some unit representation system. |
| `daysSupply` | object | No | The amount of medication expressed as a timing amount. |
| `daysSupply.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `daysSupply.system` | string | No | The identification of the system that provides the coded form of the unit. |
| `daysSupply.code` | string | No | A computer processable form of the unit in some unit representation system. |
| `whenPrepared` | string | No | The time when the dispensed product was packaged and reviewed. |
| `whenHandedOver` | string | No | The time the dispensed product was provided to the patient or their representative. |
| `dosageInstruction` | Array of object | No | Indicates how the medication is to be used by the patient. |
| `dosageInstruction[].text` | string | No | Free text dosage instructions e.g. SIG. |
| `dosageInstruction[].timing` | object | No | When medication should be administered. |
| `dosageInstruction[].timing.repeat` | object | No | A set of rules that describe when the event is scheduled. |
| `dosageInstruction[].timing.repeat.frequency` | number | No | The number of times to repeat the action within the specified period. If frequencyMax is present, this element indicates the lower bound of the allowed range of the frequency. |
| `dosageInstruction[].timing.repeat.frequencyMax` | number | No | If present, indicates that the frequency is a range - so to repeat between [frequency] and [frequencyMax] times within the period or period range. |
| `dosageInstruction[].timing.repeat.period` | number | No | Indicates the duration of time over which repetitions are to occur; e.g. to express "3 times per day", 3 would be the frequency and "1 day" would be the period. If periodMax is present, this element indicates the lower bound of the allowed range of the period length. |
| `dosageInstruction[].timing.repeat._period` | object | No | This element contains extensions for `period`. Depending on the extensions present it could be used in place of `period` or contain additional information about `period`. See the `extension` element for more details on the possible extensions being sent. |
| `dosageInstruction[].timing.repeat._period.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `dosageInstruction[].timing.repeat._period.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `dosageInstruction[].timing.repeat._period.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosageInstruction[].timing.repeat._period.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._period.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `dosageInstruction[].timing.repeat.periodMax` | number | No | If present, indicates that the period is a range from [period] to [periodMax], allowing expressing concepts such as "do this once every 3-5 days. |
| `dosageInstruction[].timing.repeat._periodMax` | object | No | This element contains extensions for `periodMax`. Depending on the extensions present it could be used in place of `periodMax` or contain additional information about `periodMax`. See the `extension` element for more details on the possible extensions being sent. |
| `dosageInstruction[].timing.repeat._periodMax.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodMax.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `dosageInstruction[].timing.repeat.periodUnit` | string | No | The units of time for the period in UCUM units. Possible values: s, min, h, d, wk, mo, a - unit of time (UCUM) |
| `dosageInstruction[].timing.repeat._periodUnit` | object | No | This element contains extensions for `periodUnit`. Depending on the extensions present it could be used in place of `periodUnit` or contain additional information about `periodUnit`. See the `extension` element for more details on the possible extensions being sent. |
| `dosageInstruction[].timing.repeat._periodUnit.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._periodUnit.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `dosageInstruction[].timing.repeat.when` | Array of string | No | An approximate time period during the day, potentially linked to an event of daily living that indicates when the action should occur. |
| `dosageInstruction[].timing.repeat._when` | object | No | This element contains extensions for `when`. Depending on the extensions present it could be used in place of `when` or contain additional information about `when`. See the `extension` element for more details on the possible extensions being sent. |
| `dosageInstruction[].timing.repeat._when.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `dosageInstruction[].timing.repeat._when.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `dosageInstruction[].timing.repeat._when.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosageInstruction[].timing.repeat._when.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `dosageInstruction[].timing.repeat._when.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `dosageInstruction[].timing.repeat.boundsPeriod` | object | No | Either a duration for the length of the timing schedule, a range of possible length, or outer bounds for start and/or end limits of the timing schedule. |
| `dosageInstruction[].timing.repeat.boundsPeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `dosageInstruction[].timing.repeat.boundsPeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `dosageInstruction[].route` | object | No | How drug should enter body. |
| `dosageInstruction[].route.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `dosageInstruction[].route.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosageInstruction[].route.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosageInstruction[].route.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |

```json
{
  "resourceType": "MedicationDispense",
  "id": "RedoxMedicationDispenseExample",
  "status": "completed",
  "medicationCodeableConcept": {
    "coding": [
      {
        "code": "104894",
        "system": "http://www.nlm.nih.gov/research/umls/rxnorm",
        "display": "Ondansetron 4 Mg Po Tbdp"
      }
    ],
    "text": "Ondansetron 4 Mg Po Tbdp"
  },
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "context": {
    "reference": "Encounter/RedoxEncounterExample"
  },
  "authorizingPrescription": [
    {
      "reference": "MedicationRequest/RedoxClinicalSummaryMedicationRequestExample"
    }
  ],
  "type": {
    "coding": [
      {
        "code": "FF",
        "system": "http://terminology.hl7.org/CodeSystem/v3-ActCode",
        "display": "First Fill"
      }
    ]
  },
  "quantity": {
    "value": 30,
    "unit": "tablet"
  },
  "daysSupply": {
    "value": 30,
    "unit": "Day",
    "system": "http://unitsofmeasure.org",
    "code": "d"
  },
  "whenPrepared": "2019-04-01T17:04:16.605Z",
  "whenHandedOver": "2019-04-02T09:00:00.000Z"
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
